MyGUI: MyGUI::action Namespace Reference

MyGUI 3.2.2

Functions
MyGUI::action Namespace Reference

## Functions
void | actionWidgetHide (Widget *_widget, ControllerItem *_controller)
void | actionWidgetShow (Widget *_widget, ControllerItem *_controller)
void | actionWidgetDestroy (Widget *_widget, ControllerItem *_controller)
void | linearMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _k)
template<int N>
void | acceleratedMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _current_time)
template<int N>
void | jumpMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _current_time)
void | inertionalMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _current_time)

## Function Documentation

## ◆ acceleratedMoveFunction()

template<int N>

void MyGUI::action::acceleratedMoveFunction | ( | const IntCoord & | _startRect,
|  | const IntCoord & | _destRect,
|  | IntCoord & | _result,
|  | float | _current_time
| ) |  |
| inline

Function for ControllerPosition per frame action : Move with accelerated speed if N == 10 then this function is same as linearMoveFunction if N > 10 speed will be increasing if N < 10 speed will be decreasing

Definition at line 39 of file MyGUI_ActionController.h.

## ◆ actionWidgetDestroy()

void MyGUI::action::actionWidgetDestroy | ( | Widget * | _widget,
|  | ControllerItem * | _controller
| ) |  |

Function used for destroying widget with one of controller event

Definition at line 28 of file MyGUI_ActionController.cpp.

## ◆ actionWidgetHide()

void MyGUI::action::actionWidgetHide | ( | Widget * | _widget,
|  | ControllerItem * | _controller
| ) |  |

Function used for hiding widget with one of controller event

Definition at line 18 of file MyGUI_ActionController.cpp.

## ◆ actionWidgetShow()

void MyGUI::action::actionWidgetShow | ( | Widget * | _widget,
|  | ControllerItem * | _controller
| ) |  |

Function used for showing widget with one of controller event

Definition at line 23 of file MyGUI_ActionController.cpp.

## ◆ inertionalMoveFunction()

void MyGUI::action::inertionalMoveFunction | ( | const IntCoord & | _startRect,
|  | const IntCoord & | _destRect,
|  | IntCoord & | _result,
|  | float | _current_time
| ) |  |

Function for ControllerPosition per frame action : Start with zero speed increasing half time and then decreasing to zero

Definition at line 42 of file MyGUI_ActionController.cpp.

## ◆ jumpMoveFunction()

template<int N>

void MyGUI::action::jumpMoveFunction | ( | const IntCoord & | _startRect,
|  | const IntCoord & | _destRect,
|  | IntCoord & | _result,
|  | float | _current_time
| ) |  |
| inline

Function for ControllerPosition per frame action : Move with accelerated speed a bit farther than necessary and then return it back

Definition at line 47 of file MyGUI_ActionController.h.

## ◆ linearMoveFunction()

void MyGUI::action::linearMoveFunction | ( | const IntCoord & | _startRect,
|  | const IntCoord & | _destRect,
|  | IntCoord & | _result,
|  | float | _k
| ) |  |

Function for ControllerPosition per frame action : Move with constant speed

Definition at line 33 of file MyGUI_ActionController.cpp.